import { EventEmitter, ElementRef } from '@angular/core';
import { KeyboardInteractivePrompt } from '../session/ssh';
export declare class KeyboardInteractiveAuthComponent {
    prompt: KeyboardInteractivePrompt;
    step: number;
    done: EventEmitter<any>;
    input: ElementRef;
    isPassword(): boolean;
    previous(): void;
    next(): void;
}
